import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { FlexyFormFieldLayoutSchema, FlexyFormGroupLayoutJsonSchema, FlexyFormJsonMapperService, FlexyFormSchemaService } from '@ng-flexy/form';
import { FormControl } from '@angular/forms';
import { FlexyToastsService } from '@ng-flexy/toasts';
import { TranslateService } from '@ngx-translate/core';
export declare class FlexyFormGroupComponent implements OnInit {
    private jsonMapperService;
    private schemaService;
    private toasts;
    private translate;
    private changeDetectorRef;
    private elementRef;
    layoutSchema: FlexyFormFieldLayoutSchema;
    legend: string;
    readonly: boolean;
    addable: boolean;
    removable: boolean;
    jsonSchema: FlexyFormGroupLayoutJsonSchema;
    parentGroupName: string;
    isRequired: boolean;
    isAddFormVisible: boolean;
    addFormControl: FormControl;
    constructor(jsonMapperService: FlexyFormJsonMapperService, schemaService: FlexyFormSchemaService, toasts: FlexyToastsService, translate: TranslateService, changeDetectorRef: ChangeDetectorRef, elementRef: ElementRef);
    ngOnInit(): void;
    addNew(event: any): void;
    removeItem(index: any): void;
    focusOnNewInput(): void;
    private prepareNewKey;
    /**
     * schema is string /(([a-zA-Z0-9]*){([sd])\.?([0-9]*)}+([a-zA-Z0-9]*))/gys
     * supported {s}: string {d}: number with defined size (default :8 max 32) {s.2}
     *
     * for example:
     *
     * AA{d.2}BB{s}
     *
     * generate: AA23BBasewASDq
     */
    private _randomKey;
    private _generateRandom;
    private _shuffle;
    private keyValidator;
}
